Subject: Re: [bug#78052] [PATCH] gnu: ungoogled-chromium: Fix WebRTC.

From: Noé Lopez <[email-masked]>
Date: Tue, 29 Apr 2025 10:45:44 +0200

Maxim Cournoyer <[email-masked]> writes:

> Hello,
>
> Danny Milosavljevic <[email-masked]> writes:
>
>> * gnu/packages/patches/ungoogled-chromium-fcntl-fix.patch: New file.
>> * gnu/packages/chromium.scm (%guix-patches): Add reference to it.
>> * gnu/local.mk (dist_patch_DATA): Add reference to it.
>
> Ouch, the last time ungoogled-chromium was updated was in 2023.  That's
> terrible for something is sensitive as a web browser that runs arbitrary
> javascript by default.
>
> If nobody champions an update, I'd suggest we remove the package.
>
> What do people think? (+CC guix-devel).
>

IMO its important that we have one of webkit, chromium and gecko in our
repos for when those pesky websites refuse to work with X browser.

I’m thinking of microsoft teams that somehow manages to crash on all
three. Might be the worst piece of software ever.

Have a nice day,
Noé